Extensions
Register an extension tool
POST /v1/extensions · SDK createExtensionTool · CLI deployments extension create
POST
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
defaultPolicyAction*stringValue in
"allow""deny""require_approval"description*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 4096inputSchema*name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 256requiredScopes*array<>effect*"read"Value in
"read"execution*ExtensionToolResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedefaultPolicyAction*stringValue in
"allow""deny""require_approval"description*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 8192effect*stringValue in
"execute""read""write"execution*||||id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$hasCallbackAuth*booleaninputSchema*outputSchema?name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 256providerKey?stringMatch
^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$requiredScopes*array<string>status*stringupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuecurl -X POST "https://example.com/v1/extensions" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "defaultPolicyAction": "allow", "description": "string", "inputSchema": { "property1": null, "property2": null }, "name": "string", "requiredScopes": [ "string" ], "effect": "read", "execution": { "mcpServerId": "string", "remoteToolName": "string", "type": "mcp" } }'{ "createdAt": "2019-08-24T14:15:22Z", "defaultPolicyAction": "allow", "description": "string", "effect": "execute", "execution": { "mcpServerId": "string", "remoteToolName": "string", "type": "mcp" }, "id": "string", "hasCallbackAuth": true, "inputSchema": { "property1": null, "property2": null }, "outputSchema": { "property1": null, "property2": null }, "name": "string", "providerKey": "string", "requiredScopes": [ "string" ], "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}